diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 8ffaecb..87c1666 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -182,21 +182,36 @@
 
       this.clearInvalid();
 
-      /*
-      * Find input which have name attribute.
-      */
-      this.$el.find(':input[name]').not('button').each(function(ix, el) {
+      var setError = function(el) {
         var attrArr = $(el).attr('name').split('.'),
-        name = attrArr.shift(),
-        path = attrArr.join('.'),
-        error = self.keyPathAccessor(errorModel.toJSON(), $(el).attr('name'));
+          name = attrArr.shift(),
+          path = attrArr.join('.'),
+          error = self.keyPathAccessor(errorModel.toJSON(), $(el).attr('name'));
 
-      if (_.isEmpty(error)) return;
+        if (_.isEmpty(error)) return;
 
-      self.$el.addClass(Backform.errorClassName).append(
-        $("<div></div>").addClass('pgadmin-control-error-message col-xs-12 help-block').text(error)
-        );
-      });
+        self.$el.addClass(Backform.errorClassName).append(
+          $("<div></div>").addClass('pgadmin-control-error-message col-xs-12 help-block').text(error)
+          );
+      }
+
+      /*
+      * Find input which have name attribute.
+      */
+      var radios = this.$el.find('[type="radio"]');
+      if (radios.length > 0) {
+        /*
+         * We need to call setError only once for radio button group.
+         * Otherwise it will show same error multiple times which is equal to
+         * number radio buttons in radio group.
+         */
+        setError(radios);
+      } else {
+        // set error for input controls other than radio button.
+        this.$el.find(':input[name]').not('button, [type="radio"]').each(function(ix, el) {
+          setError(el);
+        });
+      }
     },
 
     /*
